Resolve a workflow node reference.
curl --request POST \
--url https://api.example.com/v1/workflows/nodes/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workflow_ref": "<string>",
"node_ref": "<string>"
}
'import requests
url = "https://api.example.com/v1/workflows/nodes/resolve"
payload = {
"workflow_ref": "<string>",
"node_ref": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({workflow_ref: '<string>', node_ref: '<string>'})
};
fetch('https://api.example.com/v1/workflows/nodes/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ok": true
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Workflows and Nodes
POST /v1/workflows/nodes/resolve
POST
/
v1
/
workflows
/
nodes
/
resolve
Resolve a workflow node reference.
curl --request POST \
--url https://api.example.com/v1/workflows/nodes/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workflow_ref": "<string>",
"node_ref": "<string>"
}
'import requests
url = "https://api.example.com/v1/workflows/nodes/resolve"
payload = {
"workflow_ref": "<string>",
"node_ref": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({workflow_ref: '<string>', node_ref: '<string>'})
};
fetch('https://api.example.com/v1/workflows/nodes/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ok": true
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Resolve a node ref within a workflow.
Was this page helpful?
⌘I
